---
schema_version: "1"
id: 6f89deea6a86c29bd37ffd505575171afe92e033b3ae00ee64ad17c8ed107356
title: Identity Pools Methods
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/rest_api/REST/rest_api_ref_identity_pools.md
canonical_url: https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref_identity_pools.htm
source_site: help.tableau.com
content_type: documentation
content_hash: c308fb82776c1b10b389ddd22c1e1a47eb4d9f53abb0cd1c10670542ab18bcea
description: Identity pools are an identity management tool that uses provisioning and authentication information to enable user access to Tableau Server
---
[Skip to main content](#main-content)

# Identity Pools Methods

Identity pools are an identity management tool that uses provisioning and authentication information to enable user access to Tableau Server. Identity pools enable a more centralized and flexible identity management workflow. For more information, see [Provision and Authenticate Users Using Identity Pools](https://help.tableau.com/current/server-linux/en-us/identity_pools.htm) in the Tableau Server Help.

The identity pools methods allow you to:

1. **Provision users** by creating a new local identity store instance. **Note:** Skip this step to use an existing local identity store or the external identity store you configured in TSM during Tableau Server setup.
2. **Set up an authentication method** to authenticate your users to Tableau Server using OpenID Connect (OIDC).
3. **Create an identity pool** that uses the identity store and authentication method you configured.
4. **Add users to an identity pool** using the [Add User to Identity Pool](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref_identity_pools.htm#add_user_to_idpool) endpoint using the Tableau REST API.

Refer to the Tableau Server Help for [testing](https://help.tableau.com/current/server-linux/en-us/identity_pools_manage.htm#test), [managing](https://help.tableau.com/current/server-linux/en-us/identity_pools_manage.htm#manage), and [troubleshooting](https://help.tableau.com/current/server/en-us/identity_pools_manage.htm#troubleshoot) identity pools.

**Note:** Identity pools do not replace the user provisioning and authentication configurations you made during Tableau Server setup. The purpose of identity pools is to complement and support additional user provisioning and authentication options you might need in your organization.

### Prerequisites

Before getting started with identity pools, the following requirements must be met:

- Integration with an OIDC identity provider (IdP), such as Okta, is already configured
- You are running Tableau Server 2023.1 or later
- You have performed the [identity migration](https://help.tableau.com/current/server-linux/en-us/identity_migration.htm) if you are running Tableau Server after upgrading from version 2021.4 or earlier
- You have performed the steps described at [Step 1: Configure Tableau Server and establish a session](https://help.tableau.com/current/server-linux/en-us/identity_pools_manage.htm#step1) in the Tableau Server Help

You can use the [Identity Pools](https://www.postman.com/salesforce-developers/workspace/salesforce-developers/folder/12721794-b229dea8-ee9c-4fbb-80d1-7e9153c207ee) Postman collection in the Salesforce Developer's Postman workspace to learn about, develop, and test the methods described.

This functionality relates to the concepts and procedures described in the [Set Up and Manage Identity Pools](https://help.tableau.com/current/server/en-us/identity_pools_manage.htm) topic in the Tableau Server Help.

## Use Postman

Our Postman collection of requests enables you to construct, send, and examine HTTP requests to the Tableau Server or Tableau Cloud API without writing initial code. Postman is a free online app used by many developers for prototyping API calls, investigating issues, and generating request code in a variety of languages.  
Postman: [Identity Pools (Server-only) Methods](https://www.postman.com/salesforce-developers/workspace/salesforce-developers/folder/12721794-7355cbd6-bbd1-4561-bcc8-8d799d3ee8af)

## Add User to Identity Pool

Add a user to a specified identity pool.

This enables the user to sign in to Tableau Server using the specified identity pool. This method is not available for Tableau Cloud.

For more information about identity pools, see [Provision and Authenticate Users Using Identity Pools](https://help.tableau.com/current/server-linux/en-us/identity_pools.htm).

#### URI

POST /api/api-version/sites/site-id/users/identityPool

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that is associated with the user you want to add to the identity pool.</td></tr></tbody></table>

#### Request Body

```
<tsRequest>
   <user
	name="user-name"
	siteRole="site-role"
	id="user-id"
	authSetting="authentication-configuration"
	identityPoolUuid="idpool-uuid"
	identityUuid="identity-uuid" />
</tsRequest>
```

#### Attribute Values

<table class="api-parameters-table">
                                <colgroup>
                                    <col class="api-parameters-table-col-1">
                                    <col>
                                </colgroup>
                                <tbody>
                                    <tr>
                                        <td><span class="api-placeholder">user-name</span>
                                        </td>
                                        <td>
                                            <p>
                                    The name of the user to add.
                                </p>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">site-role</span>
                                        </td>
                                        <td>
                                            <p>Site role of the user. You can use one of the following values:</p>
                                            <ul>
                                                <li>Creator</li>
                                                <li>Explorer</li>
                                                <li>ExplorerCanPublish</li>
                                                <li>ServerAdministrator</li>
                                                <li>SiteAdministratorExplorer</li>
                                                <li>SiteAdministratorCreator</li>
                                                <li>Unlicensed</li>
                                                <li>
							ReadOnly						</li>
                                                <li>
						Viewer</li>
                                            </ul>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">user-id</span>
                                        </td>
                                        <td>Required. The ID (not name) of the user to add. You can get the user ID by calling <a href="#get_users_on_site">Get Users on Site</a>.
</td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">authentication-configuration</span>
                                        </td>
                                        <td>The authentication configuration  instance configured for the identity pool you want to add the user to. You can get the authentication configuration instance by calling <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/TAG/index.html#tag/Identity-Pools-Methods/operation/AuthnService_ListAuthConfigurations" target="_blank">List Authentication Configurations</a> endpoint in Tableau REST&nbsp;OpenAPI.</td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">idpool-uuid</span>
                                        </td>
                                        <td>The ID of the identity pool that you wan to add the user to. You can get the identity pool ID by calling the <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/TAG/index.html#tag/Identity-Pools-Methods/operation/AuthnService_ListIdentityPools" target="_blank">List Identity Pools</a> endpoint in the Tableau REST&nbsp;OpenAPI.</td>
                                    </tr>
                                    <tr>
                                        <td><span class="api-placeholder">identity-uuid</span>
                                        </td>
                                        <td>The identifier for the user you want to add. Identifiers are only used for identity matching purposes. For more information about identifiers, see <a href="https://help.tableau.com/current/server-linux/en-us/identity_pools.htm#usernames_identifiers" target="_blank">Usernames and Identifiers in Tableau</a> in  the Tableau Server Help.</td>
                                    </tr>
                                </tbody>
                            </table>

#### Permissions

This method can only be called by Tableau Server administrators.

#### Access Scope

Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).

```
tableau:identity_pools_users:create
```

For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### Response Code

200

#### Response Body

**Example response:**

```
<tsResponse>
  <user
	identityPoolUuid="df47cf24-5ed3-11ed-9b6a-0242ac12000"
	id="7ad8f89e-c2a1-44b4-9413-ac8a62286a7a"
	name="Michele Kim" />
</tsResponse>
```

#### Version

Version 3.19 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad request</td><td>The content of the request body is missing or incomplete, or contains malformed XML.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">POST</span>.</td></tr><tr><td>429</td><td>429001</td><td>User conflict</td><td>The specified user is already a member of the identity pool.</td></tr><tr><td>429</td><td>429002</td><td>Can't add user</td><td>There was a problem and the user couldn't be added to the identity pool.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

#### Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/users/identityPool" -X POST -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd" -d @add-user-to-idpool.xml`

- `MY-SERVER` is the name or IP address of your server.
- `9a8b7c6d5-e4f3-a2b1-c0d9-e8f7a6b5c4d` is the ID of the site, as returned by a previous call to [Sign In](#sign_in).
- `12ab34cd56ef78ab90cd12ef34ab56cd` is the credentials token returned by a previous call to [Sign In](#sign_in).

**Content of add-user-to-idpool.xml:**

```
<tsRequest>
  <user id="7ad8f89e-c2a1-44b4-9413-ac8a62286a7a" />
</tsRequest>
```

**Example response:**

```
<?xml version="1.0" encoding="UTF-8" ?>
<tsResponse version-and-namespace-settings>
  <user identityPoolUuid="7b54b6a8-6095-11ed-9b6a-0242ac120002"
     id="7ad8f89e-c2a1-44b4-9413-ac8a62286a7a" name="Michele Kim" />
</tsResponse>
```

## Remove User from Identity Pool

Remove a user from a specified identity pool.

This method is not available for Tableau Cloud.

**Version:** Available in API 3.19 and later. _[Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)_

**License:** No additional license required.

**Permissions:** Tableau Server administrators only. _[Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)_

**JWT Access Scope**: tableau:identity\_pools\_users:delete

- Scope added in API 3.27 (Tableau Cloud December 2025 / Server 2025.3).
- For more information, see [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud) and access scopes for connected apps: [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm), or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

#### URI

DELETE /api/api-version/sites/site-id/users/user-id/identityPool/idpool-uuid

#### Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site that is associated with the user you want to remove from the identity pool.</td></tr><tr><td><span class="api-placeholder">user-id</span></td><td>The ID of the user to remove from the identity pool.</td></tr><tr><td><span class="api-placeholder">idpool-uuid</span></td><td>The ID&nbsp;of the identity pool to remove the user from. You can get the identity pool ID by calling the <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/TAG/index.html#tag/Identity-Pools-Methods/operation/AuthnService_ListIdentityPools" target="_blank">List Identity Pools</a> endpoint in the Tableau REST&nbsp;OpenAPI.</td></tr></tbody></table>

#### Request Body

None

#### cURL Request Example

`curl "http://MY-SERVER/api/3.29/sites/9a8b7c6d-5e4f-3a2b-1c0d-9e8f7a6b5c4d/users/7ad8f89e-c2a1-44b4-9413-ac8a62286a7a/identityPool/" -X DELETE -H "X-Tableau-Auth:12ab34cd56ef78ab90cd12ef34ab56cd"`

- `MY-SERVER` is the name or IP address of your server.
- `9a8b7c6d5-e4f3-a2b1-c0d9-e8f7a6b5c4d` is the ID of the site, as returned by a previous call to [Sign In](#sign_in).
- `7ad8f89e-c2a1-44b4-9413-ac8a62286a7a` is the ID of the user to remove.
- `df47cf24-5ed3-11ed-9b6a-0242ac12000` is the ID of the identity pool.
- `12ab34cd56ef78ab90cd12ef34ab56cd` is the credentials token returned by a previous call to [Sign In](#sign_in).

The response contains no body (data) if the user is successfully removed from the identity pool. The HTTP response code is 204 if the delete operation succeeded.

#### Permissions

This method can only be called by Tableau Server administrators.

#### Response Code

204

#### Response Body

None

#### Version

Version 3.19 and later. For more information, see [REST API and Resource Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm).

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>400000</td><td>Bad request</td><td>The content of the request body is missing or incomplete, or contains malformed XML.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>The site ID in the URI doesn't correspond to an existing site.</td></tr><tr><td>405</td><td>405000</td><td>Invalid request method</td><td>Request type was not <span class="api-command-ref">DELETE</span>.</td></tr><tr><td>429</td><td>429003</td><td>Can't remove user</td><td>There was a problem and the user couldn't be removed from the identity pool.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Delete Authentication Configuration

Delete an authentication instance.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

DELETE {server}/api/-/authn-service/auth-configurations/{id}

[view details](#)

## Delete Identity Pool

Delete an identity pool.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

DELETE {server}/api/-/authn-service/identity-pools/{uuid}

[view details](#)

## Delete Identity Store

Delete an identity store.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

DELETE {server}/api/-/authn-service/identity-stores/{id}

[view details](#)

## Get Identity Pool

Get information about an identity pool.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/authn-service/identity-pools/{uuid}

[view details](#)

## List Authentication Configurations on Server

List information about all authentication instances associated with identity pools.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/authn-service/auth-configurations

[view details](#)

## List Identity Pools

List all identity pools.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/authn-service/identity-pools

[view details](#)

## List Identity Stores

List information about all identity store instances used to provision users.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

GET {server}/api/-/authn-service/identity-stores

[view details](#)

## Create Authentication Configuration

Create an instance of OpenID Connect (OIDC) authentication.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/authn-service/auth-configurations

[view details](#)

## Create Identity Pool

Create an identity pool.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/authn-service/identity-pools

[view details](#)

## Configure Identity Store

Configure a new local identity store to provision users.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

POST {server}/api/-/authn-service/identity-stores

[view details](#)

## Update Authentication Configuration

Update an authentication instance.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

PUT {server}/api/-/authn-service/auth-configurations/{id}

[view details](#)

## Update Identity Pool

Update information about an identity pool.

**Version:** Available in API 3.19 (Tableau Server 2023.1) and later. Not available for Tableau Cloud. [Version Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm)

**Permissions:** This method can only be called by users with server administrator permissions. [Permissions Overview](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm)

**License:** No additional license required.

**Access Scope:** Not available. [Tableau Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm) | [Tableau Server-Windows](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) | [Tableau Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm)

PUT {server}/api/-/authn-service/identity-pools/{uuid}

[view details](#)